## ros-kinetic-homer-robbie-architecture 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(homer_robbie_architecture)

find_package(catkin REQUIRED COMPONENTS
	roscpp
	cmake_modules
)

find_package(OpenCV REQUIRED)

catkin_package(
        INCLUDE_DIRS include
		LIBRARIES homerConfig homerImageHelpers homerMath homerSingleton homerStateMachine homerThread homerString
		CATKIN_DEPENDS roscpp
)


include_directories(
	include
	${catkin_INCLUDE_DIRS}
	${OpenCV_INCLUDE_DIRS}
)

add_library(homerImageHelpers
	src/Workers/ImageHelpers/ImageMaskCV.cpp
)
target_link_libraries(homerImageHelpers homerMath)

add_library(homerMath
	src/Workers/Math/Line2D.cpp
	src/Workers/Math/Polygon2D.cpp
	src/Workers/Math/misc.cpp
	src/Workers/Math/Transformation2D.cpp
	src/Workers/Math/mat3.cpp
	src/Workers/Math/Circle2D.cpp
	src/Workers/Math/Pose.cpp
	src/Workers/Math/Obb2D.cpp
	src/Workers/Math/Matrix.cpp
	src/Workers/Math/Math.cpp
	src/Workers/Math/Point2D.cpp
	src/Workers/Math/Vector3D.cpp
	src/Workers/Math/Homography.cpp
)

add_library(homerString
	src/Workers/String/String.cpp
)

add_library(homerConfig
	src/Architecture/Config/Config.cpp
)
target_link_libraries(homerConfig tinyxml homerThread)

add_library(homerSingleton
	src/Architecture/Singleton/Clock.cpp
	src/Architecture/Singleton/SequenceNumber.cpp
)
target_link_libraries(homerSingleton homerThread)

add_library(homerStateMachine
	src/Architecture/StateMachine/StateMachine.cpp
)
target_link_libraries(homerStateMachine homerSingleton)

add_library(homerThread
    src/Architecture/Thread/Mutex.cpp
    src/Architecture/Thread/Thread.cpp
    src/Architecture/Thread/Condition.cpp
)

install(TARGETS homerImageHelpers homerMath homerString homerConfig homerSingleton homerStateMachine homerThread
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/ DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-kinetic-homer-robbie-architecture (1.0.2-3xenial) xenial; urgency=high

  * changed install targets
  * Contributors: Niklas Yann Wettengel

 -- vseib <vseib@uni-koblenz.de>  Sat, 29 Oct 2016 22:00:00 -0000

ros-kinetic-homer-robbie-architecture (1.0.1-3xenial) xenial; urgency=high

  * initial commit
  * Contributors: Niklas Yann Wettengel

 -- vseib <vseib@uni-koblenz.de>  Wed, 26 Oct 2016 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-homer-robbie-architecture
Section: misc
Priority: extra
Maintainer: vseib <vseib@uni-koblenz.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libgl1-mesa-dev, libglu1-mesa-dev, libopencv-dev, libtinyxml-dev, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-roscpp
Homepage: http://ros.org/wiki/robbie_architecture
Standards-Version: 3.9.2

Package: ros-kinetic-homer-robbie-architecture
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libgl1-mesa-dev, libglu1-mesa-dev, libopencv-dev, libtinyxml-dev, ros-kinetic-roscpp
Description: robbie_architecture

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-homer-robbie-architecture//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
